Webhooks - Get
获取指定 Webhook 的属性。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/webhooks/{webhookName}?api-version=2025-11-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
registry
|
path | True |
string minLength: 5maxLength: 50 pattern: ^[a-zA-Z0-9]*$ |
容器注册表的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
webhook
|
path | True |
string minLength: 5maxLength: 50 pattern: ^[a-zA-Z0-9]*$ |
Webhook 的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
WebhookGet
示例请求
示例响应
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/webhooks/myWebhook",
"name": "myWebhook",
"type": "Microsoft.ContainerRegistry/registries/webhooks",
"location": "westus",
"tags": {
"key": "value"
},
"properties": {
"status": "enabled",
"scope": "myRepository",
"actions": [
"push"
],
"provisioningState": "Succeeded"
}
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Provisioning |
调用作时存档的预配状态。 |
|
system |
与创建和上次修改资源相关的元数据。 |
| Webhook |
表示容器注册表的 Webhook 的对象。 |
|
Webhook |
|
|
Webhook |
调用作时 Webhook 的状态。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ProvisioningState
调用作时存档的预配状态。
| 值 | 说明 |
|---|---|
| Creating | |
| Updating | |
| Deleting | |
| Succeeded | |
| Failed | |
| Canceled |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
Webhook
表示容器注册表的 Webhook 的对象。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| location |
string |
资源所在的地理位置 |
| name |
string |
资源的名称 |
| properties.actions |
触发 Webhook 发布通知的作列表。 |
|
| properties.provisioningState |
调用作时 Webhook 的预配状态。 |
|
| properties.scope |
string |
可以触发事件的存储库范围。 例如,“foo:*”表示存储库“foo”下所有标记的事件。 “foo:bar”仅表示“foo:bar”的事件。 “foo”等效于“foo:latest”。 空表示所有事件。 |
| properties.status |
调用作时 Webhook 的状态。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| tags |
object |
资源标记。 |
| type |
string |
资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
WebhookAction
| 值 | 说明 |
|---|---|
| push | |
| delete | |
| quarantine | |
| chart_push | |
| chart_delete |
WebhookStatus
调用作时 Webhook 的状态。
| 值 | 说明 |
|---|---|
| enabled | |
| disabled |